Bug 81085 - EDITING: Slides copied from a pptx presentation are sometimes duplicated or fail to copy
Summary: EDITING: Slides copied from a pptx presentation are sometimes duplicated or f...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2014-07-09 07:44 UTC by Matt Hirsch
Modified: 2018-07-05 02:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Hirsch 2014-07-09 07:44:24 UTC
When copying multiple slides out of a pptx file into a new, empty presentation, under some circumstances, the first slide will be pasted into the new presentation multiple times, rather than a single copy of each of the multiple slides.

Here are the steps to replicate this bug in libreoffice-4.2.5.2-1.fc20.x86_64 in Fedora Linux.

1. Obtain the following presentation (created in MS PowerPoint 2010):

http://www.slideshare.net/mhirsch45/a-switchable-light-field-camera-architecture-with-angle-sensitive-pixels-and-dictionarybased-sparse-coding

2. Open it in impress.
3. Press the new button to obtain a new, blank impress presentation.
4. Select slides 10 and 11 from the pptx presentation.
5. Press ctrl-c or right click in the slide sorter and use the copy context menu to copy the two slides
6. Change to the new, blank presentation window.
7. Press ctrl-v or right click in the slide sorter and select paste to paste in the two slides.
8. Press either yes or no when asked to adapt the format (it doesn't matter which)
9. Note that slide 10 has been copied twice, and slide 11 has not been copied.

This seems to have something to do with slides that are created by duplication in the original powerpoint presentation. In this case, I'm pretty sure slide 11 was created by selecting slide 10 and clicking duplicate slide in powerpoint. Then it was edited.
Comment 1 Jean-Baptiste Faure 2014-07-23 18:10:36 UTC
Your hyperlink does not link to any file, only a website. Please give the correct link.

Set status to NEEDINFO. Please set it back to UNCONFIRMED once you have provided requested informations.

Best regards. JBF
Comment 2 Matt Hirsch 2014-07-23 18:34:22 UTC
I've rehosted the file here:  http://web.media.mit.edu/~mhirsch/ICCP14_upload.pptx

You can also click the "save" link at the top of the first website in order to save the file.
Comment 3 penttila 2014-08-12 11:07:36 UTC
I can confirm this bug on the file provided in Comment 2 with the reported steps.
Status changed to NEW.

LinuxMint 17 Cinnamon
LO 4.2.4.2
Comment 4 -pk- 2014-12-13 01:44:02 UTC
I can confirm this bug exists in LibreOfficeDev_4.4.0.0.beta2_Win_x86
Comment 5 dldl 2016-08-13 17:39:54 UTC
I have nearly the same probleme in 5.0.3.2 put with ppt/pot Files from PowerPoint 2003 and these Problems can occur in the same Presentation, when coping or duplicating slides, often not the correct ones are copied/duplicated! I have seen this issue in different Versions of LibreOffice the last two years.
Comment 6 Matt Hirsch 2016-08-15 06:19:00 UTC
This exact bug still remains in 5.1.5.2.
Comment 7 QA Administrators 2018-07-05 02:49:10 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug